Inability to bundle install due to certificate error

ERROR: cannot verify rubygems.orgs certificate, issued by a/C=US/O=GeoTrust, Inc./CN=RapidSSL CA. Unable to locally verify the issuers authority.


[LINUX_SERVER]# openssl s_client -host rubygems.org -port 443
socket: Connection refused
connect:errno=111

-à Here ideally the certificate should be visible.

[LINUX_SERVER]# ruby -ropenssl -e 'p OpenSSL::OPENSSL_VERSION'
"OpenSSL 1.0.0 29 Mar 2010"


Following are the commands to install/update openssl:
1.      rvm pkg install openssl
2.      rvm reinstall all —force —with-openssl-dir=$rvm_path/usr

This usually occurs if you are behind a firewall

export http_proxy= à will allow the installation behind a firewall.

For the openssl hearbleed issues, can google out and go through the various security patches.
Posting fe below:

1. http://lifehacker.com/what-the-heartbleed-security-bug-means-for-you-1560801201
2. http://www.hak9.com/fix-heart-bleed-bug-centos-ubuntu/


Post a Comment

Popular posts from this blog

Loved this campaign by Vicks India

Uninitialized constant Win32 (NameError)-cucumber